% Funzione che definisce accelerazioni, dati magnetici, temperature, date e
% livello della batteria per i nodi di tipo Therm Link
function [TimeThL,val_ThL,ErrThermLink] = defDatiThL(DatiThermLink,ErrThermLink,rThL,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'defDatiThL function started';
fprintf(fileID,fmt,text);

[r,c]=size(DatiThermLink);
Ncorr = 0;
% Elimino gli eventuali Not a Number
for a = 2:r
    for b = 1:c
        check = isnan(DatiThermLink(a,b));
        if check == 1
            DatiThermLink(a,b) = DatiThermLink(a-1,b);
            ErrThermLink(a,b-1) = 1;
            Ncorr = Ncorr+1;
        end
    end
end

text = [num2str(Ncorr) ' NaN of Therm Link corrected by defDatiThL function'];
fprintf(fileID,fmt,text);

TimeThL = DatiThermLink(:,1); % data
val_ThL = zeros(r,rThL); % dati temperatura
for i = 1:rThL
    val_ThL(:,i) = DatiThermLink(:,1+i);
end

text = 'Data of Therm Link defined correctly. defDatiThL function closed';
fprintf(fileID,fmt,text);
fclose(fileID);

end
